cmake_minimum_required(VERSION 3.3 FATAL_ERROR)
cmake_policy(VERSION 3.0.2..3.7)

if(CMAKE_INSTALL_PREFIX STREQUAL PROJECT_BINARY_DIR)
  message(FATAL_ERROR "Cannot install into build directory")
endif()

include(CMLibDisableInSourceBuild)
include(CMakeParseArguments)
include(GNUInstallDirs)

set(CMAKE_CXX_STANDARD_REQUIRED ON)
set_property(GLOBAL PROPERTY USE_FOLDERS ON)

include(CMLibProjectVersion)
set_project_version()

include(CMLibOrganizationName)
set_organization_name()

include(CMLibGlobalVariables)
include(CMLibLSBInfo)
include(CMLibCompiler)
include(CMLibCompilerFlags)
include(CMLibCompilerFeaturesHPPGenerate)
include(CMLibFlagRemove)
include(CMLibCommonTargetProperties)
include(CMLibCommonLibraryTarget)
include(CMLibBuildTypes)
include(CMLibCodeAnalysisPvsStudio)
include(cotire)

include(CMLibBreathe)
include(CMLibQtTranslation)
include(CMLibToday)
include(CMLibConfigHPPGenerate)
include(CMLibCPackSources)
include(CMLibUninstall)

